<%# Partial to create figure with caption %>
<%# From https://vgpena.github.io/partials-are-magic/ %>
<%# see also https://middlemanapp.com/basics/partials/ %>

<% if locals[:caption] %>
  <figure role="img" >
<% else %>
  <div>
<% end %>
    <%= image_tag locals[:src], { alt: locals[:alt], width: locals[:width], height: locals[:height] } %>
<% if locals[:caption] %>
  <figcaption>
    <p><%= locals[:price] %></p>
    <p><%= locals[:caption] %></p>
  </figcaption>
</figure>
<% else %>
  </div>
<% end %>
